import 'package:flx_ui/flx_ui.dart';

class IconButton extends StatelessWidget {
  final IconData icon;

  final TargetTapCallback onTap;

  const IconButton({
    Key? key,
    required this.icon,
    required this.onTap,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return FlatCard(
      width: 50,
      height: 50,
      borderRadius: 25,
      child: ClipRRect(
        borderRadius: BorderRadius.circular(25),
        child: Target(
          onTap: onTap,
          child: Container(
            color: Colors.transparent,
            child: Center(
              child: Icon(
                icon,
                size: 23,
                color: TextTheme.text(context).color,
              ),
            ),
          ),
        ),
      ),
    );
  }
}
