import 'package:flutter/widgets.dart';

class TargetWavePainter extends CustomPainter {
  final double splashRadius;

  final double splashOpacity;

  final Color color;

  final Offset position;

  TargetWavePainter({
    required this.splashRadius,
    required this.splashOpacity,
    required this.color,
    required this.position,
  });

  @override
  void paint(Canvas canvas, Size size) {
    var splashPaint = Paint()
      ..shader = RadialGradient(
        colors: [
          color.withOpacity(splashOpacity / 3),
          color.withAlpha(0),
        ],
        stops: [
          0.2,
          1,
        ],
      ).createShader(Rect.fromCircle(
        center: position,
        radius: splashRadius,
      ))
      ..blendMode = BlendMode.overlay;

    var backgroundPaint = Paint()
      ..color = color.withOpacity(splashOpacity / 10);

    canvas.drawRect(
        Rect.fromLTWH(0, 0, size.width, size.height), backgroundPaint);

    canvas.drawCircle(position, splashRadius, splashPaint);
  }

  @override
  bool shouldRepaint(covariant CustomPainter oldDelegate) {
    return true;
  }
}
